libzypp 17.37.10

ztui::ansi::tty Namespace Reference

## Classes
class | EscapeSequence
| ANSI Escape sequences and their fallback if no tty. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const EscapeSequence &obj)
| stream output

## Variables
const EscapeSequence | clearLN
| Clear entire line.
const EscapeSequence | cursorUP
| Cursor up 1 line.
const EscapeSequence | cursorDOWN
| Cursor down 1 line.
const EscapeSequence | cursorRIGHT
| Cursor right 1 char.
const EscapeSequence | cursorLEFT
| Cursor left 1 char.

## Variable Documentation

## ◆ clearLN

const EscapeSequence ztui::ansi::tty::clearLN
| extern

Clear entire line.

## ◆ cursorUP

const EscapeSequence ztui::ansi::tty::cursorUP
| extern

Cursor up 1 line.

## ◆ cursorDOWN

const EscapeSequence ztui::ansi::tty::cursorDOWN
| extern

Cursor down 1 line.

## ◆ cursorRIGHT

const EscapeSequence ztui::ansi::tty::cursorRIGHT
| extern

Cursor right 1 char.

## ◆ cursorLEFT

const EscapeSequence ztui::ansi::tty::cursorLEFT
| extern

Cursor left 1 char.